## hsail-tools 0~20170314

=== HSAILAsm/CMakeLists.txt ===
add_executable(HSAILasm HSAILAsm.cpp)

target_link_libraries(HSAILasm hsail)

if(AMD_EXTENSIONS)
  target_link_libraries(HSAILasm hsail-amd)
endif()

find_library(CURSES_LIB curses)

if(BUILD_LIBBRIGDWARF)
  include_directories(${LIBELF_INCLUDE_DIRS})

  target_link_libraries(HSAILasm ${LIBELF_LIBRARIES})
  target_link_libraries(HSAILasm ${LIBDWARF_LIBRARIES})
endif()

if(CURSES_LIB)
  target_link_libraries(HSAILasm ${CURSES_LIB})
endif()
if(UNIX)
  target_link_libraries(HSAILasm tinfo pthread)
endif()

install(TARGETS HSAILasm
  RUNTIME DESTINATION bin COMPONENT libhsail
)

set(HSAILASM $<TARGET_FILE:HSAILasm>)
set(test "${PROJECT_SOURCE_DIR}/tests/1.0/simple.hsail")

add_test(NAME HSAILAsm-help
         COMMAND ${HSAILASM} -help
         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

add_test(NAME HSAILAsm-version
         COMMAND ${HSAILASM} -version
         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

add_test(NAME HSAILAsm-assemble
         COMMAND ${HSAILASM} -assemble ${test} -o test.brig
         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

add_test(NAME HSAILAsm-disassemble
         COMMAND ${HSAILASM} -disassemble test.brig
         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

add_test(NAME HSAILAsm-decode
         COMMAND ${HSAILASM} -decode test.brig -o test.yaml
         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

if(BUILD_LIBBRIGDWARF)
add_test(NAME HSAILAsm-assemble-g
         COMMAND ${HSAILASM} -assemble -g ${test} -o test-g.brig
         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

add_test(NAME HSAILAsm-disassemble-g
         COMMAND ${HSAILASM} -disassemble test-g.brig
         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

add_test(NAME HSAILAsm-assemble-g-odebug
         COMMAND ${HSAILASM} -assemble -g ${test} -odebug test-g.dbg -o test-g.brig
         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

add_test(NAME HSAILAsm-assemble-g-include-source
         COMMAND ${HSAILASM} -assemble -g -include-source ${test} -o test-g.brig
         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

endif()

=== tests/1.0/instruction/CMakeLists.txt ===
set(HSAILASM $<TARGET_FILE:HSAILasm>)
if (MSVC)
  set(RUNTEST ${CMAKE_CURRENT_SOURCE_DIR}/run_test.cmd)
else()
  set(RUNTEST ${CMAKE_CURRENT_SOURCE_DIR}/run_test)
endif()

macro(instruction_test name)
  add_test(NAME 1.0/instruction/${name}
           COMMAND ${RUNTEST} ${HSAILASM} ${name} ${CMAKE_CURRENT_SOURCE_DIR}
           WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endmacro()

instruction_test(CORE-base-large)
instruction_test(CORE-base-small)
instruction_test(CORE-full-large)
instruction_test(CORE-full-small)
instruction_test(IMAGE-base-large)
instruction_test(IMAGE-base-small)
instruction_test(IMAGE-full-large)
instruction_test(IMAGE-full-small)
if(AMD_EXTENSIONS)
instruction_test(amd_gcn-base-large)
instruction_test(amd_gcn-base-small)
instruction_test(amd_gcn-full-large)
instruction_test(amd_gcn-full-small)
instruction_test(amd_mipmap-base-large)
instruction_test(amd_mipmap-base-small)
instruction_test(amd_mipmap-full-large)
instruction_test(amd_mipmap-full-small)
endif()

=== debian/changelog ===
hsail-tools (0~20170314-3) unstable; urgency=medium

  * Add some test dependencies (Frédéric Bonna). Closes: #877606.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Oct 2017 16:09:29 +0200

hsail-tools (0~20170314-2) unstable; urgency=medium

  * debian/copyright: Add license field for files with a different
    copyright holder.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Mar 2017 12:03:57 +0100

hsail-tools (0~20170314-1) unstable; urgency=medium

  * Initial release. Closes: #857721.
  * Don't ship the HSA-PRM-1.02.pdf in the source package.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Mar 2017 11:39:45 +0100

=== debian/control ===
Source: hsail-tools
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9),
  cmake,
  libdwarf-dev,
  libelf-dev,
  libncursesw5-dev,
  re2c,
Standards-Version: 4.1.0
Homepage: http://www.hsafoundation.com/hsa-developer-tools/

Package: hsail-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools for parsing, assembling, and disassembling HSAIL
 HSAIL-Tools are used for parsing, assembling, and disassembling HSAIL.
 .
 This version of libHSAIL supports the HSA PRM 1.02 (Final) specification.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel


override_dh_install:
	dh_install
	rm -rf debian/hsail-tools/usr/include
	rm -rf debian/hsail-tools/usr/lib
	if which help2man >/dev/null 2>&1; then \
	  help2man -N --name HSAILasm --help-option=-help --version-option=-version \
	    debian/hsail-tools/usr/bin/HSAILasm > debian/HSAILasm.1; \
	fi
	mkdir -p debian/hsail-tools/usr/share/man/man1
	cp debian/HSAILasm.1 debian/hsail-tools/usr/share/man/man1/.

## hsail-tools 0~20180830

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(HSAIL-Tools)

if(MSVC)
  add_compile_options(/W3 /WX)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS)
  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /MT")
  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /MTd")
endif()

if(UNIX)
  add_compile_options(-fpic -Wall -Werror -std=c++11 -pthread -fno-rtti -fvisibility-inlines-hidden)
  add_definitions(-D__STDC_LIMIT_MACROS)
  add_definitions(-D__STDC_CONSTANT_MACROS)
  add_definitions(-D__STDC_FORMAT_MACROS)
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules")

include(CMakeDependentOption)

find_package(RE2C REQUIRED)

option(VENDOR_EXTENSIONS "Enable vendor extensions" ON)
message(STATUS "Vendor extensions: ${VENDOR_EXTENSIONS}")

cmake_dependent_option(AMD_EXTENSIONS "Enable AMD HSAIL extensions" ON "VENDOR_EXTENSIONS" OFF)
message(STATUS "AMD extensions: ${AMD_EXTENSIONS}")

option(BUILD_HSAILASM "Build HSAILAsm" ON)
message(STATUS "Building HSAILAsm: ${BUILD_HSAILASM}")

enable_testing()

add_subdirectory(libHSAIL)

if(AMD_EXTENSIONS)
  add_subdirectory(libHSAIL-AMD)
  add_definitions(-DAMD_EXTENSIONS)
endif()

# FIXME: We should check for a usable version of libelf / libdwarf.
if(BUILD_HSAILASM)
  add_subdirectory(HSAILAsm)
  add_subdirectory(tests/1.0/instruction)
  add_subdirectory(tests/1.0/syntax)
  add_subdirectory(tests/1.0/syntax_validation)
endif()

if(BUILD_HSAILTESTGEN)
  add_subdirectory(libTestGen)
  add_subdirectory(HSAILTestGen)
endif()

=== libHSAIL-AMD/CMakeLists.txt ===
find_package(Perl REQUIRED)

set(libhsail_amd_public_headers
    Brig_amd.h
    HSAILAmdExt.h
)

set(libhsail_amd_srcs
    gcn.cpp
    mipmap.cpp
    HSAILAmdExt.cpp
    dg.cpp
    gcn.hdl
    mipmap.hdl
    dg.hdl
)

set(generated_dir ${CMAKE_CURRENT_BINARY_DIR}/generated)
file(MAKE_DIRECTORY ${generated_dir})

set(amd_generated_headers
    ${generated_dir}/InstValidation_gcn_gen.hpp
    ${generated_dir}/InstValidation_mipmap_gen.hpp
    ${generated_dir}/InstValidation_dg_gen.hpp
)

set(amd_generated_srcs
    ${amd_generated_headers}
)

set(libHSAIL-PATH ${CMAKE_CURRENT_SOURCE_DIR}/../libHSAIL)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${generated_dir})

add_custom_command(
    OUTPUT ${amd_generated_srcs}
    PRE_BUILD
    COMMAND ${PERL_EXECUTABLE} ${libHSAIL-PATH}/HDLProcessor.pl -target=validator ${libHSAIL-PATH}/HSAILDefs.hdl ${CMAKE_CURRENT_SOURCE_DIR}/gcn.hdl    > ${generated_dir}/InstValidation_gcn_gen.hpp
    COMMAND ${PERL_EXECUTABLE} ${libHSAIL-PATH}/HDLProcessor.pl -target=validator ${libHSAIL-PATH}/HSAILDefs.hdl ${CMAKE_CURRENT_SOURCE_DIR}/mipmap.hdl > ${generated_dir}/InstValidation_mipmap_gen.hpp
    COMMAND ${PERL_EXECUTABLE} ${libHSAIL-PATH}/HDLProcessor.pl -target=validator ${libHSAIL-PATH}/HSAILDefs.hdl ${CMAKE_CURRENT_SOURCE_DIR}/dg.hdl     > ${generated_dir}/InstValidation_dg_gen.hpp
    DEPENDS
      ${libHSAIL-PATH}/Brig.h
      gcn.hdl mipmap.hdl dg.hdl
    COMMENT "Generating libHSAIL-AMD sources"
)

add_library(hsail-amd ${libhsail_amd_srcs} ${libhsail_amd_public_headers} ${amd_generated_headers})

add_dependencies(hsail-amd libhsail-includes)

target_include_directories(hsail-amd PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${generated_dir})
target_link_libraries(hsail-amd hsail)

install(TARGETS hsail-amd
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
)

install(FILES ${libhsail_amd_public_headers} DESTINATION include/libHSAIL-AMD)

=== libHSAIL/CMakeLists.txt ===
find_package(Perl REQUIRED)

find_package(LibElf)

if(LIBELF_FOUND)
  find_package(LibDwarf)
endif()

# Only try to build libbrigdwarf if we have both libelf and libdwarf.

# TODO: The checks for libdwarf and libelf need to be refined. There
# are several versions of each, and not all of them work here.
# e.g. This does not build with the versions in macports.

cmake_dependent_option(BUILD_LIBBRIGDWARF "Build libbrigdwarf" ON
  "LIBELF_FOUND;LIBDWARF_FOUND" OFF)

message(STATUS "Building with BRIG DWARF support: ${BUILD_LIBBRIGDWARF}")

if (LIBDWARF_USE_INIT_C)
  add_definitions("-DLIBDWARF_USE_INIT_C")
endif()

set(libhsail_public_headers
  Brig.h
  HSAILBrigContainer.h
  HSAILBrigObjectFile.h
  HSAILBrigantine.h
  HSAILConvertors.h
  HSAILDisassembler.h
  HSAILDump.h
  HSAILFloats.h
  HSAILInstProps.h
  HSAILItemBase.h
  HSAILItems.h
  HSAILParser.h
  HSAILSRef.h
  HSAILScanner.h
  HSAILScope.h
  HSAILTool.h
  HSAILTypeUtilities.h
  HSAILUtilities.h
  HSAILValidator.h
  HSAILValidatorBase.h
  HSAILb128_t.h
  hsail_c.h
  HSAILExtension.h
  HSAILGenericExtension.h
  HSAILExtManager.h
  HSAILImageExt.h
)

set(libhsail_srcs
  HSAILBrigContainer.cpp
  HSAILBrigObjectFile.cpp
  HSAILBrigantine.cpp
  HSAILDisassembler.cpp
  HSAILDump.cpp
  HSAILFloats.cpp
  HSAILItems.cpp
  HSAILParser.cpp
  HSAILScanner.cpp
  HSAILScannerRules.cpp
  HSAILScannerRules.re2c
  HSAILTool.cpp
  HSAILUtilities.cpp
  HSAILValidator.cpp
  HSAILValidatorBase.cpp
  hsail_c.cpp
  HSAILExtManager.cpp
  HSAILInstProps.cpp
  HSAILImageExt.cpp
  generate.pl
  HDLProcessor.pl
  HSAILCore.hdl
  HSAILImage.hdl
  HSAILDefs.hdl
  BrigMeta.info
)

set(generated_dir ${CMAKE_CURRENT_BINARY_DIR}/generated)

set(generated_headers
  ${generated_dir}/HSAILBrigInstUtils_gen.hpp
  ${generated_dir}/HSAILBrigPropsName_gen.hpp
  ${generated_dir}/HSAILBrigValidation_gen.hpp
  ${generated_dir}/HSAILItems_gen.hpp
  ${generated_dir}/HSAILBrigPropsAcc_gen.hpp
  ${generated_dir}/HSAILBrigPropsVisitor_gen.hpp
  ${generated_dir}/HSAILInitBrig_gen.hpp
  ${generated_dir}/HSAILScannerRules_gen_re2c.hpp
  ${generated_dir}/HSAILBrigPropsFastAcc_gen.hpp
  ${generated_dir}/HSAILBrigStaticChecks_gen.hpp
  ${generated_dir}/HSAILInstValidation_core_gen.hpp
  ${generated_dir}/HSAILInstValidation_image_gen.hpp
  ${generated_dir}/HSAILParserUtilities_gen.hpp
  ${generated_dir}/HSAILTemplateUtilities_gen.hpp
  ${generated_dir}/HSAILBrigProps_gen.hpp
  ${generated_dir}/HSAILBrigUtilities_gen.hpp
  ${generated_dir}/HSAILItemImpls_gen.hpp
  ${generated_dir}/HSAILPropAccessors_gen.hpp
  ${generated_dir}/HSAILBrigEnum2str_gen.hpp
  ${generated_dir}/HSAILVisitItems_gen.hpp
)

set(generated_srcs
  ${generated_headers}
  ${generated_dir}/HSAILScannerRules_gen.re2c
)

set(libHSAIL-PATH ${CMAKE_CURRENT_SOURCE_DIR})

include_directories(${libHSAIL-PATH})
include_directories(${generated_dir})

add_custom_command(
  OUTPUT ${generated_srcs}
  PRE_BUILD
  COMMAND ${PERL_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/generate.pl
                             -re2c ${RE2C_EXECUTABLE}
                             ${CMAKE_CURRENT_SOURCE_DIR}
                             ${generated_dir}
  DEPENDS
    Brig.h
    HSAILCore.hdl
    HSAILImage.hdl
    HSAILDefs.hdl
    BrigMeta.info
  COMMENT "Generating libHSAIL sources"
)

if(BUILD_LIBBRIGDWARF)
  set(libbrigdwarf_srcs
    BrigDwarfGenerator.cpp
    hsa_dwarf.h
    BrigDwarfGenerator.h
    SectionHeaderTable.h
  )

  list(APPEND libhsail_public_headers
    BrigDwarfGenerator.h
    hsa_dwarf.h
  )

  include_directories(${LIBELF_INCLUDE_DIRS})
  include_directories(${LIBDWARF_INCLUDE_DIRS})
else()
  set(libbrigdwarf_srcs)
endif()

add_custom_target(libhsail-includes ALL DEPENDS ${generated_srcs})
add_library(hsail ${libhsail_srcs} ${libhsail_public_headers} ${libbrigdwarf_srcs} ${generated_headers})
if(BUILD_LIBBRIGDWARF)
  add_definitions(-DWITH_LIBBRIGDWARF=1)
endif()
add_dependencies(hsail libhsail-includes)

target_include_directories(hsail PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${generated_dir})

if(BUILD_LIBBRIGDWARF)
  target_link_libraries(hsail dwarf)
  target_link_libraries(hsail elf)
endif()
if(UNIX)
  target_link_libraries(hsail dl)
endif()

install(TARGETS hsail
  ARCHIVE DESTINATION lib COMPONENT libhsail
  LIBRARY DESTINATION lib COMPONENT libhsail
)

install(FILES ${libhsail_public_headers} ${generated_headers} DESTINATION include/libHSAIL COMPONENT libhsail)

=== tests/1.0/syntax/CMakeLists.txt ===
set(HSAILASM $<TARGET_FILE:HSAILasm>)
if (MSVC)
  set(RUNTEST ${CMAKE_CURRENT_SOURCE_DIR}/run_test.cmd)
else()
  set(RUNTEST ${CMAKE_CURRENT_SOURCE_DIR}/run_test)
endif()

macro(syntax_test name)
  add_test(NAME 1.0/syntax/${name}
           COMMAND ${RUNTEST} ${HSAILASM} ${name} ${CMAKE_CURRENT_SOURCE_DIR}
           WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endmacro()

syntax_test(000_empty_1)
syntax_test(000_inst_image_large)
syntax_test(000_inst_image_small)
syntax_test(000_inst_large)
syntax_test(000_inst_large_base)
syntax_test(000_inst_small)
syntax_test(001_delimiters)
syntax_test(001_order_1)
syntax_test(001_order_2)
syntax_test(001_order_3)
syntax_test(002_version_large)
syntax_test(002_version_small)
syntax_test(003_pragma)
syntax_test(004_extension)
syntax_test(004_extension_CORE)
syntax_test(004_extension_CORE_0)
syntax_test(005_control_00)
syntax_test(005_control_01)
syntax_test(005_control_02)
syntax_test(005_control_03)
syntax_test(005_control_04)
syntax_test(005_control_05)
syntax_test(005_control_06)
syntax_test(005_control_07)
syntax_test(005_control_08)
syntax_test(005_control_09)
syntax_test(005_control_10)
syntax_test(005_control_enablebreakexceptions_1)
syntax_test(005_control_enablebreakexceptions_2)
syntax_test(005_control_enabledetectexceptions_1)
syntax_test(005_control_enabledetectexceptions_2)
syntax_test(005_control_maxdynamicgroupsize)
syntax_test(005_control_maxflatgridsize_1)
syntax_test(005_control_maxflatgridsize_2)
syntax_test(005_control_maxflatworkgroupsize_1)
syntax_test(005_control_maxflatworkgroupsize_2)
syntax_test(005_control_requireddim)
syntax_test(005_control_requiredgridsize_1)
syntax_test(005_control_requiredgridsize_2)
syntax_test(005_control_requiredworkgroupsize_1)
syntax_test(005_control_requiredworkgroupsize_2)
syntax_test(006_loc)
syntax_test(009_function_arg_align)
syntax_test(009_function_arg_array)
syntax_test(009_function_arg_flexible_array)
syntax_test(009_function_arg_generic)
syntax_test(009_function_arg_generic_base)
syntax_test(009_function_arg_passing)
syntax_test(009_function_decl)
syntax_test(009_function_forw_decl)
syntax_test(009_function_generic)
syntax_test(009_function_indirect)
syntax_test(009_function_indirect_small)
syntax_test(009_function_module)
syntax_test(009_function_signature_0)
syntax_test(009_function_signature_1)
syntax_test(009_function_width)
syntax_test(010_kernel_args)
syntax_test(010_kernel_decl)
syntax_test(010_kernel_generic)
syntax_test(010_kernel_module)
syntax_test(011_argscope_generic)
syntax_test(011_argscope_jumps_01)
syntax_test(011_argscope_jumps_02)
syntax_test(011_argscope_jumps_03)
syntax_test(011_argscope_jumps_04)
syntax_test(011_argscope_jumps_05)
syntax_test(011_argscope_special)
syntax_test(012_var_align)
syntax_test(012_var_alloc)
syntax_test(012_var_array)
syntax_test(012_var_array_init)
syntax_test(012_var_base)
syntax_test(012_var_decl)
syntax_test(012_var_generic)
syntax_test(012_var_img)
syntax_test(012_var_module)
syntax_test(012_var_sampler)
syntax_test(013_name_1)
syntax_test(013_name_2)
syntax_test(013_name_3)
syntax_test(013_name_4)
syntax_test(014_branch)
syntax_test(015_large_memory_model)
syntax_test(015_small_memory_model)
syntax_test(016_literal_conversion)
syntax_test(016_literal_conversions_1_0)
syntax_test(017_addressing)
syntax_test(018_aggregate_const)
syntax_test(019_reg_limit)

=== tests/1.0/syntax_validation/CMakeLists.txt ===
if (SYNTAX_VALIDATION_TESTS)

set(HSAILASM $<TARGET_FILE:HSAILasm>)
if (MSVC)
  set(RUNTEST ${CMAKE_CURRENT_SOURCE_DIR}/run_test.cmd)
else()
  set(RUNTEST ${CMAKE_CURRENT_SOURCE_DIR}/run_test)
endif()

set(test_dir ${CMAKE_CURRENT_BINARY_DIR}/tests)
file(MAKE_DIRECTORY ${test_dir})

add_custom_command(
  OUTPUT
    ${test_dir}/_testinfo.txt
  PRE_BUILD
  COMMAND ${PERL_EXECUTABLE}
    ${CMAKE_CURRENT_SOURCE_DIR}/testgen.pl
    ${CMAKE_CURRENT_SOURCE_DIR}/hsail_negative_tests.txt
    ${test_dir}
  DEPENDS
    ${CMAKE_CURRENT_SOURCE_DIR}/hsail_negative_tests.txt
  COMMENT "Generating syntax validation tests"
)

add_custom_target(generate-syntax-validation-tests ALL DEPENDS ${test_dir}/_testinfo.txt)

set(golden_dir ${CMAKE_CURRENT_BINARY_DIR}/golden)
file(MAKE_DIRECTORY ${golden_dir})

message("Extracting golden files for syntax validation tests")
execute_process(
  COMMAND unzip -u ${CMAKE_CURRENT_SOURCE_DIR}/golden.zip
  OUTPUT_FILE ${CMAKE_CURRENT_BINARY_DIR}/golden.out
  ERROR_FILE  ${CMAKE_CURRENT_BINARY_DIR}/golden.err
  WORKING_DIRECTORY ${golden_dir}
)

macro(syntax_validation_test name)
  add_test(NAME 1.0/syntax_validation/${name}
           COMMAND ${RUNTEST} ${HSAILASM} ${name}
                   ${test_dir} ${golden_dir}
           WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endmacro()

macro(syntax_validation_test_f fname)
  get_filename_component(fext ${fname} EXT)
  get_filename_component(name ${fname} NAME_WE)
  get_filename_component(fdir ${fname} DIRECTORY)
  syntax_validation_test(${name})
endmacro()

file(GLOB files ${golden_dir}/*.log)
foreach(file ${files})
  file(RELATIVE_PATH fname ${golden_dir} ${file})
  syntax_validation_test_f(${fname})
endforeach()

endif()

=== debian/changelog ===
hsail-tools (0~20180830-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:54:21 +1100

hsail-tools (0~20180830-1build2) noble; urgency=medium

  * No-change rebuild against libelf1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 00:59:23 +0000

hsail-tools (0~20180830-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:14 +0100

hsail-tools (0~20180830-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version.
  * Stop building on big-endian systems, package is not ready.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jan 2020 21:14:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hsail-tools
 Section: devel
 Priority: optional
-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9),
   cmake,
@@ -9,7 +10,7 @@
   libelf-dev,
   libncursesw5-dev,
   re2c,
-Standards-Version: 4.1.0
+Standards-Version: 4.4.1
 Homepage: http://www.hsafoundation.com/hsa-developer-tools/
 
 Package: hsail-tools
